<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension</h1>
<p>
Package implementing the shelve extension support interface.
</p>



<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelveBrowserDialog.html">HgShelveBrowserDialog</a></td>
<td>Module implementing Mercurial shelve browser dialog.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelveDataDialog.html">HgShelveDataDialog</a></td>
<td>Module implementing a dialog to enter the data for a shelve operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelvesSelectionDialog.html">HgShelvesSelectionDialog</a></td>
<td>Module implementing a dialog to select multiple shelve names.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgUnshelveDataDialog.html">HgUnshelveDataDialog</a></td>
<td>Module implementing a dialog to enter the data for an unshelve operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectBrowserHelper.html">ProjectBrowserHelper</a></td>
<td>Module implementing the shelve extension project browser helper.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectHelper.html">ProjectHelper</a></td>
<td>Module implementing the shelve extension project helper.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.shelve.html">shelve</a></td>
<td>Module implementing the shelve extension interface.</td>
</tr>
</table>
</body></html>
